AWS Cloud9のrails立ち上げででたGem::LoadErrorというsqlite3に関するエラーの対処法

AWS Cloud9にて、railsの初期画面を立ち上げようとしたときに、「Gem::LoadError」というエラーが発生しました。

そのときの対処法を紹介していきます。

解決方法

解決方法としては、sqlite3のバージョンを変更する必要があります。

1)一旦、ターミナルからサーバーを断ち切る

2)すでに作成しているRailsプロジェクトの中にある「Gemfile」を開く

3)「gem ‘sqlite3’」⇒「gem ‘sqlite3′,’~> 1.3.6’」に変更

4)ターミナルにて「bundle update」コマンドを打ち込み、gemfileに記述した内容を反映させます。

5)もう一度サーバー立ち上げて、Previewからサイトの状態を確かめます。下記画面のようにエラーが出るようであれば、画面右上のマークをクリックすると、ブラウザから立ち上げたサイトを確認できます。

6)Railsの立ち上げが完了しました。

まとめ

AWS Cloud9のrails立ち上げ時にあったエラーの対処法について紹介してきました。

 

この記事が気に入ったら
いいね!しよう

最新情報をお届けします

Twitter でtwo_audioをフォローしよう!